.TH  DROTMG 1 "November 2008" "BLAS routine" "BLAS routine" 
.SH NAME
DROTMG - CONSTRUCT THE MODIFIED GIVENS TRANSFORMATION MATRIX H WHICH ZEROS  THE SECOND COMPONENT OF THE 2-VECTOR (DSQRT(DD1)*DX1,DSQRT(DD2)*
.SH SYNOPSIS
.TP 42
SUBROUTINE DROTMG(DD1,DD2,DX1,DY1,DPARAM)
.TP 42
.ti +4
DOUBLE
PRECISION DD1,DD2,DX1,DY1
.TP 42
.ti +4
DOUBLE
PRECISION DPARAM(5)
.SH PURPOSE
   CONSTRUCT THE MODIFIED GIVENS TRANSFORMATION MATRIX H WHICH ZEROS
   THE SECOND COMPONENT OF THE 2-VECTOR  (DSQRT(DD1)*DX1,DSQRT(DD2)*
   DY2)**T.
.br
   WITH DPARAM(1)=DFLAG, H HAS ONE OF THE FOLLOWING FORMS..

   DFLAG=-1.D0     DFLAG=0.D0        DFLAG=1.D0     DFLAG=-2.D0

     (DH11  DH12)    (1.D0  DH12)    (DH11  1.D0)    (1.D0  0.D0)
   H=(          )    (          )    (          )    (          )
     (DH21  DH22),   (DH21  1.D0),   (-1.D0 DH22),   (0.D0  1.D0).
   LOCATIONS 2-4 OF DPARAM CONTAIN DH11, DH21, DH12, AND DH22
   RESPECTIVELY. (VALUES OF 1.D0, -1.D0, OR 0.D0 IMPLIED BY THE
   VALUE OF DPARAM(1) ARE NOT STORED IN DPARAM.)
.br

   THE VALUES OF GAMSQ AND RGAMSQ SET IN THE DATA STATEMENT MAY BE
   INEXACT.  THIS IS OK AS THEY ARE ONLY USED FOR TESTING THE SIZE
   OF DD1 AND DD2.  ALL ACTUAL SCALING OF DATA IS DONE USING GAM.


.SH ARGUMENTS
.TP 7
DD1    (input/output) DOUBLE PRECISION
.TP 7
DD2    (input/output) DOUBLE PRECISION 
.TP 7
DX1    (input/output) DOUBLE PRECISION 
.TP 7
DY1    (input) DOUBLE PRECISION

DPARAM (input/output)  DOUBLE PRECISION array, dimension 5
DPARAM(1)=DFLAG
DPARAM(2)=DH11
DPARAM(3)=DH21
DPARAM(4)=DH12
DPARAM(5)=DH22
